# eric7.CondaInterface.__init__

Package implementing the various conda related modules.

### Global Attributes

__CondaRootPrefix
__CondaUserConfig
__CondaVersion
__CondaVersionStr
__initialized

### Classes

None

### Functions

__initializeCondaInterface | Private module function to (re-)initialize the conda interface.
condaVersion | Module function to get the conda version.
condaVersionStr | Module function to get the conda version as a string.
isCondaAvailable | Module function to check the availability of conda.
resetInterface | Module function to reset the conda interface.
rootPrefix | Module function to get the root prefix.
userConfiguration | Module function to get the path of the user configuration file.

## __initializeCondaInterface

__initializeCondaInterface()

Private module function to (re-)initialize the conda interface.

Up

## condaVersion

condaVersion()

Module function to get the conda version.

Return:
  tuple containing the conda version

Return Type:
  tuple of (int, int, int)

Up

## condaVersionStr

condaVersionStr()

Module function to get the conda version as a string.

Return:
  conda version as a string

Return Type:
  str

Up

## isCondaAvailable

isCondaAvailable()

Module function to check the availability of conda.

Return:
  flag indicating conda availability

Return Type:
  bool

Up

## resetInterface

resetInterface()

Module function to reset the conda interface.

Up

## rootPrefix

rootPrefix()

Module function to get the root prefix.

Return:
  root prefix

Return Type:
  str

Up

## userConfiguration

userConfiguration()

Module function to get the path of the user configuration file.

Return:
  path of the user configuration file

Return Type:
  str

Up